Bug 205949 - [PATCH] devel/awscli: update to 1.9.17, devel/py-botocore: update to 1.3.17
Summary: [PATCH] devel/awscli: update to 1.9.17, devel/py-botocore: update to 1.3.17
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steven Kreuzer
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-01-06 08:37 UTC by Bradley T. Hughes
Modified: 2016-01-13 21:48 UTC (History)
4 users (show)

See Also:
pi: maintainer-feedback+


Attachments
patch (2.69 KB, text/plain)
2016-01-06 08:37 UTC, Bradley T. Hughes
no flags Details
awscli poudriere testport log (292.87 KB, text/plain)
2016-01-06 08:37 UTC, Bradley T. Hughes
no flags Details
py-botocore poudriere testport log (136.00 KB, text/plain)
2016-01-06 08:38 UTC, Bradley T. Hughes
no flags Details
py-botocore patch (1.45 KB, patch)
2016-01-06 08:59 UTC, Bradley T. Hughes
no flags Details | Diff
awscli patch (1.43 KB, patch)
2016-01-06 08:59 UTC, Bradley T. Hughes
no flags Details | Diff
awscli patch (1.43 KB, patch)
2016-01-07 08:48 UTC, Bradley T. Hughes
no flags Details | Diff
py-botocore patch (1.45 KB, patch)
2016-01-07 08:49 UTC, Bradley T. Hughes
no flags Details | Diff
awscli poudriere testport log (295.59 KB, text/plain)
2016-01-07 08:50 UTC, Bradley T. Hughes
no flags Details
py-botocore poudriere testport log (132.54 KB, text/plain)
2016-01-07 08:51 UTC, Bradley T. Hughes
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bradley T. Hughes freebsd_committer 2016-01-06 08:37:09 UTC
Created attachment 165143 [details]
patch

Update to the latest release of awscli and its dependencies. Attached are a patch (as a git commit) and poudriere testport logs for each port.

See also https://github.com/bradleythughes/freebsd-ports/commit/e6cde5365802f35abebfdb31e50c7b20a7bde520
Comment 1 Bradley T. Hughes freebsd_committer 2016-01-06 08:37:46 UTC
Created attachment 165144 [details]
awscli poudriere testport log
Comment 2 Bradley T. Hughes freebsd_committer 2016-01-06 08:38:15 UTC
Created attachment 165145 [details]
py-botocore poudriere testport log
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-06 08:44:38 UTC
@Brandley

Unless these changes *must* be committed together atomically, it's preferable to have separate issues for each port change (all else being equal).

In this case, given the two ports have the same MAINTAINER, a single issue is fine, but two separate patches (per port) would be preferable.
Comment 4 Bradley T. Hughes freebsd_committer 2016-01-06 08:53:39 UTC
koobs: Not sure I would say *must*, but they tend to be released in lockstep with each other. It is devel/awscli that depends on the latest devel/py-botocore. As long as the latter is updated first, you are right, this could/should be two separate patches. I'll split them.
Comment 5 Bradley T. Hughes freebsd_committer 2016-01-06 08:59:27 UTC
Created attachment 165146 [details]
py-botocore patch
Comment 6 Bradley T. Hughes freebsd_committer 2016-01-06 08:59:55 UTC
Created attachment 165147 [details]
awscli patch
Comment 7 Bradley T. Hughes freebsd_committer 2016-01-07 08:48:33 UTC
Created attachment 165202 [details]
awscli patch

New upstream release since I submitted this. Updated patch to latest version.
Comment 8 Bradley T. Hughes freebsd_committer 2016-01-07 08:49:12 UTC
Created attachment 165203 [details]
py-botocore patch

New upstream release, updated patch to use the latest version.
Comment 9 Bradley T. Hughes freebsd_committer 2016-01-07 08:50:39 UTC
Created attachment 165204 [details]
awscli poudriere testport log
Comment 10 Bradley T. Hughes freebsd_committer 2016-01-07 08:51:28 UTC
Created attachment 165205 [details]
py-botocore poudriere testport log
Comment 11 Kurt Jaeger freebsd_committer 2016-01-12 14:01:32 UTC
1.9.11 upgrade in PR#205158 causes problems, because botocore was not updated, see 

https://lists.freebsd.org/pipermail/freebsd-ports/2016-January/101593.html

and

https://github.com/aws/aws-cli/issues/1670

Please approve the upgrade.
Comment 12 Adam Caldwell 2016-01-12 17:27:27 UTC
This is a pretty severe bug for me, as I can no longer to my nightly automated s3 sync backups. I will have to set up a second machine to do my backups until this can be resolved.

To the maintainer of awscli -- it should never be updated without bumping the dependency on botocore to the corresponding new release, or more often than not things will break.
Comment 13 commit-hook freebsd_committer 2016-01-12 20:45:19 UTC
A commit references this bug:

Author: skreuzer
Date: Tue Jan 12 20:44:36 UTC 2016
New revision: 405913
URL: https://svnweb.freebsd.org/changeset/ports/405913

Log:
  Update to version 1.9.17

  PR:		205949
  Submitted by:	Bradley T. Hughes <bradleythughes@fastmail.fm>
  Approved by:	Alexey Degtyarev <alexey@renatasystems.org> (maintainer)

Changes:
  head/devel/awscli/Makefile
  head/devel/awscli/distinfo
Comment 14 Bradley T. Hughes freebsd_committer 2016-01-13 09:47:34 UTC
Thanks for the quick commit :)